// ===========================================================================
//	CBasicApp.h					1994-2000 Metrowerks Inc. All rights reserved.
// ===========================================================================

#ifndef _H_CBasicApp
#define _H_CBasicApp
#pragma once

#include <LApplication.h>
#include <LPeriodical.h>

class LWindow;

class CBasicApp : public LApplication, LPeriodical {

public:
							CBasicApp();
	virtual					~CBasicApp();

	virtual Boolean			ObeyCommand(
								CommandT			inCommand,
								void*				ioParam = nil);	

	virtual void			FindCommandStatus(
								CommandT			inCommand,
								Boolean&			outEnabled,
								Boolean&			outUsesMark,
								UInt16&				outMark,
								Str255				outName);

protected:
	virtual void			StartUp();
	
			void			RegisterClasses();
			
			void			DeleteMyWindow();
			void			ShowMyWindow();
			void			GetSaying(StringPtr string);
			
			void			SetActivateTime();

	virtual	void			SpendTime(
								const EventRecord&	inMacEvent);

	virtual void			EventSuspend	(const EventRecord& inMacEvent);
	
			void			SteveIsUpset();

			LWindow*		theWindow;
			unsigned long	activeTime;
};

#endif // _H_CBasicApp